<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__worker__thread__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_worker_thread_info_t</compoundname>
    <includes local="no">cy_worker_thread.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__worker__thread__info__t_1af921b846c4cdb4ee1b4de6267ae2c2a2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__abstraction__rtos__port_1gac3dcb8e5a19cd138761a6548dd4de50f">cy_queue_t</ref></type>
        <definition>cy_queue_t cy_worker_thread_info_t::event_queue</definition>
        <argsstring />
        <name>event_queue</name>
        <briefdescription>
<para>Event Queue for this thread. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="87" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="87" />
      </memberdef>
      <memberdef id="structcy__worker__thread__info__t_1a1efa83728c9763f3738676b959236347" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga27c9e935c4c4f200d86a8484d3db08d3">cy_thread_t</ref></type>
        <definition>cy_thread_t cy_worker_thread_info_t::thread</definition>
        <argsstring />
        <name>thread</name>
        <briefdescription>
<para>Thread object. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="88" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="88" />
      </memberdef>
      <memberdef id="structcy__worker__thread__info__t_1a684566a02021807ad40ebdddf3e38def" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__worker__thread__util_1ga514bc54aa543a69ce1768903b9851473">cy_worker_thread_state_t</ref></type>
        <definition>cy_worker_thread_state_t cy_worker_thread_info_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>State of the worker thread. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="89" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="89" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Worker Thread Information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="90" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="85" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="86" />
    <listofallmembers>
      <member prot="public" refid="structcy__worker__thread__info__t_1af921b846c4cdb4ee1b4de6267ae2c2a2" virt="non-virtual"><scope>cy_worker_thread_info_t</scope><name>event_queue</name></member>
      <member prot="public" refid="structcy__worker__thread__info__t_1a684566a02021807ad40ebdddf3e38def" virt="non-virtual"><scope>cy_worker_thread_info_t</scope><name>state</name></member>
      <member prot="public" refid="structcy__worker__thread__info__t_1a1efa83728c9763f3738676b959236347" virt="non-virtual"><scope>cy_worker_thread_info_t</scope><name>thread</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>